Page MenuHomePhabricator

Update Fundraising tech CI image to use upstream buildkit, no symlink for civicrm
Open, MediumPublic

Description

We have bedded in the previous repo changes & have 2 final changes

  1. Switch to using upstream buildkit & archive our repo. We have upstreamed all our buildkit changes and don't need our own fork now - this gives us perhaps a little less control but at the end of the day I have upstream merge access and we've spent a bit of time dealing with issues in our fork that are not upstream. If the composer thing happened again like it did this time we might wind up re-forking but composer major version changes are not common

upstream repo
https://github.com/civicrm/civicrm-buildkit

  1. checkout our civicrm repo to it's 'real' location in conjunction with this change https://gerrit.wikimedia.org/r/c/wikimedia/fundraising/crm/+/672513 - the repo should be checked out to

drupal/sites/all/modules/civicrm

@hashar I haven't attempted to do a patch myself for the above. I think last time my attempt was a good learning experience for me but ultimately didn't help resolve the issue :-)

Event Timeline

Eileenmcnaughton renamed this task from Update Fundraising tech C image to use upstream buildkit, no symlink for civicrm to Update Fundraising tech CI image to use upstream buildkit, no symlink for civicrm.Mar 15 2021, 7:24 PM
DStrine triaged this task as Medium priority.Mar 16 2021, 8:05 PM

Assigning to Jack to try to discuss with @hashar in a more mutual timezone

@Eileenmcnaughton guessing this still needs doin!

I've been out a few days but will try and catch up with you & @hashar to see if we can push it over the line.

Change 685528 had a related patch set uploaded (by Ejegg; author: Ejegg):

[wikimedia/fundraising/dev@master] Use upstream civicrm-buildkit

https://gerrit.wikimedia.org/r/685528

Change 688350 had a related patch set uploaded (by Jgleeson; author: Jgleeson):

[integration/config@master] Update wikimedia-fundraising-civicrm-docker to pull civicrm-buildkit from upstream repo.

https://gerrit.wikimedia.org/r/688350

@hashar I've pushed up the update to the CI job and will hopefully catch up with you tomorrow on IRC to see if it's +2'able so we can try it out. Thanks in advance!

Change 689947 had a related patch set uploaded (by Jforrester; author: Jgleeson):

[integration/config@master] jjb: [wikimedia-fundraising-civicrm-docker] Use upstream civicrm-buildkit

https://gerrit.wikimedia.org/r/689947

Change 688350 merged by jenkins-bot:

[integration/config@master] dockerfiles: [civicrm] Don't provide the Wikimedia fork of civicrm-buildkit

https://gerrit.wikimedia.org/r/688350

Mentioned in SAL (#wikimedia-releng) [2021-05-12T16:15:22Z] <James_F> Docker: Publishing civicrm 0.2.1 for T277500

Change 685528 merged by AndyRussG:

[wikimedia/fundraising/dev@master] Use upstream civicrm-buildkit

https://gerrit.wikimedia.org/r/685528

Change 692107 had a related patch set uploaded (by AndyRussG; author: AndyRussG):

[wikimedia/fundraising/dev@master] Get buildkit from github with anonymous https

https://gerrit.wikimedia.org/r/692107

Change 692107 merged by Eileen:

[wikimedia/fundraising/dev@master] Get buildkit from github with anonymous https

https://gerrit.wikimedia.org/r/692107

Change 692693 had a related patch set uploaded (by Jgleeson; author: Jgleeson):

[wikimedia/fundraising/crm@master] Update CI build files to use new civicrm-buildkit

https://gerrit.wikimedia.org/r/692693